## gnuplot 4.2.6-4

=== debian/changelog ===
gnuplot (4.2.6-4) testing-proposed-updates; urgency=medium

  * Encoding of localized description for russian changed to utf-8

 -- Vitaly Repin <vitaly.repin@gmail.com>  Wed, 13 Jan 2010 13:00:57 +0300
