=== debian/watch ===
version=3
http://sf.net/gnuplot/gnuplot-(.*)\.tar\.gz
