## gnuplot 4.2.6-5

=== debian/changelog ===
gnuplot (4.2.6-5) testing-proposed-updates; urgency=medium

  * Optifing enabled again

 -- Vitaly Repin <vitaly.repin@gmail.com>  Wed, 13 Jan 2010 13:00:57 +0300
