## gnuplot 4.2.6-6

=== debian/changelog ===
gnuplot (4.2.6-6) testing-proposed-updates; urgency=medium

  * Russian description was updated

 -- Vitaly Repin <vitaly.repin@gmail.com>  Sat, 16 Jan 2010 16:00:57 +0300
