## gnuplot 4.2.6-7

=== debian/changelog ===
gnuplot (4.2.6-7) testing-proposed-updates; urgency=medium

  * Russian description: Encoding is UTF-8 is now

 -- Vitaly Repin <vitaly.repin@gmail.com>  Thu, 21 Jan 2010 19:00:57 +0300
