=== debian/control ===
--- 
+++ 
@@ -28,18 +28,18 @@
  install "gnuplot-nox" and skip this meta-package.
  .
   Homepage: http://gnuplot.sourceforge.net/
-XB-Description-ru_RU:     .
-    -  ң .
- Gnuplot    ,    
- (   )   ,   . 
-         
-  : GNU Octave, Maxima  .
- .
- Gnuplot       ( ),
-        (  ), 
-   PNG, EPS, SVG, JPEG   .
+XB-Description-ru_RU: Мощнейшая программа построения графиков.
+ Программа для создания двух- и трёхмерных графиков.
+ Gnuplot имеет собственную систему команд, может работать интерактивно 
+ (в режиме командной строки) и выполнять скрипты, читаемые из файлов. 
+ Также используется в качестве системы вывода изображений в различных
+ математических пакетах: GNU Octave, Maxima и других.
+ .
+ Gnuplot выводит графики как непосредственно на экран (интерактивный режим),
+ так и в файлы различных графических форматов (командный режим работы), 
+ таких как PNG, EPS, SVG, JPEG и множество других.
  . 
-       LaTeX,      LaTeX.
+ Программа также может генерировать код на LaTeX, позволяя использовать шрифты и формулы LaTeX.
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c
  6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
