=== debian/rules ===
--- 
+++ 
@@ -177,7 +177,11 @@
 	dh_shlibdeps -a
 	dh_gencontrol -a
 	dh_md5sums -a
-#	maemo-optify
+#	pwd
+#	ls -la debian/
+#	maemo-optify gnuplot
+#	maemo-optify gnuplot-nox
+#	maemo-optify gnuplot-x11
 	dh_builddeb -a
 
 binary: binary-indep binary-arch
