## gnuplot 4.4.0

=== debian/changelog ===
gnuplot (4.4.0-1) unstable; urgency=low

  * New usptream release. Closes: #575460, #574099, #519090, #523856.
  * debian/patches:
    + 01_check_x11-driver.diff - Remove, not needed.
    + 02_fix_man.diff - Added, fix errors in man pages.
    + Refresh others.
  * Fixup docs being installed.
  * Update Standards-Version to 3.8.4.
  * Move to 3.0 quilt source format.
  * Add README.source.
  * 

 -- Bradley Smith <bradsmith@debian.org>  Sat, 27 Mar 2010 11:24:40 +0000
