=== debian/control ===
Source: gnuplot
Section: math
Priority: optional
Maintainer: Bradley Smith <bradsmith@debian.org>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 7), libpng12-dev, libx11-dev, libxt-dev, pkg-config, texinfo (>= 4.8), texlive-latex-base, texlive-latex-recommended, zlib1g-dev, libgd2-noxpm-dev, quilt, libwxgtk2.8-dev, libcairo2-dev, libpango1.0-dev, libedit-dev, autoconf, automake
Homepage: http://gnuplot.sourceforge.net/
Vcs-Git: http://git.brad-smith.co.uk/git/debian/pkg-gnuplot.git
Vcs-Browser: http://git.brad-smith.co.uk/?p=debian/pkg-gnuplot.git

Package: gnuplot
Architecture: all
Depends: gnuplot-nox (>= ${source:Version}), gnuplot-x11 (>= ${source:Version}), ${misc:Depends}
Suggests: gnuplot-doc (>= ${source:Version})
Description: A command-line driven interactive plotting program
 Gnuplot is a portable command-line driven interactive data and function
 plotting utility that supports lots of output formats, including drivers
 for many printers, (La)TeX, (x)fig, Postscript, and so on. The X11-output
 is packaged in gnuplot-x11.
 .
 Data files and self-defined functions can be manipulated by the internal
 C-like language. Can perform smoothing, spline-fitting, or nonlinear fits,
 and can work with complex numbers.
 .
 This package is for transition and to install a full-featured gnuplot
 supporting the X11-output.

Package: gnuplot-nox
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: gnuplot (<< 4.0.0)
Recommends: groff, ttf-liberation
Suggests: gnuplot-x11 (>= ${binary:Version}), gnuplot-doc (>= ${source:Version})
Description: A command-line driven interactive plotting program
 Gnuplot is a portable command-line driven interactive data and function
 plotting utility that supports lots of output formats, including drivers
 for many printers, (La)TeX, (x)fig, Postscript, and so on. The X11-output
 is packaged in gnuplot-x11.
 .
 Data files and self-defined functions can be manipulated by the internal
 C-like language. Can perform smoothing, spline-fitting, or nonlinear fits,
 and can work with complex numbers.
 .
 This package is for working without an X server.

Package: gnuplot-x11
Architecture: any
Depends: gnuplot-nox (>= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: gnuplot (<< 4.0.0)
Description: A command-line driven interactive plotting program
 Gnuplot is a portable command-line driven interactive data and function
 plotting utility that supports lots of output formats, including drivers
 for many printers, (La)TeX, (x)fig, Postscript, and so on. The X11-output
 is packaged in gnuplot-x11.
 .
 Data files and self-defined functions can be manipulated by the internal
 C-like language. Can perform smoothing, spline-fitting, or nonlinear fits,
 and can work with complex numbers.
 .
 This package contains the terminal driver that enables gnuplot to plot
 images interactively under X11. Most users will want this, it is however
 packaged separately so that low-end systems don't need X installed to use
 gnuplot.

Package: gnuplot-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: A command-line driven interactive plotting program
 Gnuplot is a portable command-line driven interactive data and function
 plotting utility that supports lots of output formats, including drivers
 for many printers, (La)TeX, (x)fig, Postscript, and so on. The X11-output
 is packaged in gnuplot-x11.
 .
 Data files and self-defined functions can be manipulated by the internal
 C-like language. Can perform smoothing, spline-fitting, or nonlinear fits,
 and can work with complex numbers.
 .
 This package contains the additional documentation.
