## gnuplot 4.4.2

=== debian/changelog ===
gnuplot (4.4.2-0ubuntu1) natty; urgency=low

  * New upstream release. (LP: #650984)
  * debian/control: Ubuntu maintainers

 -- Alex Valavanis <a.valavanis@leeds.ac.uk>  Mon, 03 Jan 2011 22:15:09 +0000

gnuplot (4.4.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build depend on recent libedit-dev with fixed shlibs
    dependencies (Closes: #597514).

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 21 Sep 2010 12:19:09 +0200
