## gnuplot 4.4.3

=== debian/changelog ===
gnuplot (4.4.3-0ubuntu3) precise; urgency=low

  * No-change rebuild against current pkgbinarymangler to fix broken
    md5sums. (see LP #875466)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 29 Feb 2012 08:38:06 +0100

gnuplot (4.4.3-0ubuntu2) oneiric; urgency=low

  * Add support for TikZ driver (LP: #627592)
    - debian/control: Build-Depends on liblua5.1-dev
    - debian/rules: header path added to CPPFLAGS

 -- Alex Valavanis <valavanisalex@googlemail.com>  Sun, 22 May 2011 23:21:26 +0100

gnuplot (4.4.3-0ubuntu1) oneiric; urgency=low

  * New upstream release. (LP: #776203)
  * debian/control:
    - Added Build-Depends: libtool (needed for autotools build)
    - Added Build-Depends: texlive-latex-extra to provide subfigure package
      (needed for documentation build)

 -- Alex Valavanis <valavanisalex@gmail.com>  Thu, 19 May 2011 23:00:45 -0500
