=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Bradley Smith <bradsmith@debian.org>
 Standards-Version: 3.8.4
-Build-Depends: debhelper (>= 7), libpng12-dev, libx11-dev, libxt-dev, pkg-config, texinfo (>= 4.8), texlive-latex-base, texlive-latex-recommended, zlib1g-dev, libgd2-noxpm-dev, quilt, libwxgtk2.8-dev, libcairo2-dev, libpango1.0-dev, libedit-dev (>= 2.11-20080614-2), autoconf, automake
+Build-Depends: debhelper (>= 7), libpng12-dev, libx11-dev, libxt-dev, pkg-config, texinfo (>= 4.8), texlive-latex-base, texlive-latex-recommended, zlib1g-dev, libgd2-noxpm-dev, quilt, libwxgtk2.8-dev, libcairo2-dev, libpango1.0-dev, libedit-dev (>= 2.11-20080614-2), autoconf, automake, texlive-latex-extra, libtool, liblua5.1-dev
 Homepage: http://gnuplot.sourceforge.net/
 Vcs-Git: http://git.brad-smith.co.uk/git/debian/pkg-gnuplot.git
 Vcs-Browser: http://git.brad-smith.co.uk/?p=debian/pkg-gnuplot.git
