## gnuplot 4.6.0

=== debian/changelog ===
gnuplot (4.6.0-8) unstable; urgency=low

  * [cfaa0f9] Fix stop in batch mode. (Closes: #598547)
  * [514f243] Add "Provides: gnuplot-nox" to gnuplot-x11 and gnuplot-qt. 
              (Closes: #671876)
  * [86f5340] Add "Provides: gnuplot-x11" to gnuplot-qt.
  * [dd6645e] Fix cairolatex driver with monochrome keyword. (Closes: #668339)

 -- Anton Gladky <gladky.anton@gmail.com>  Tue, 08 May 2012 19:22:44 +0200

gnuplot (4.6.0-7) unstable; urgency=low

  [ Agustin Martin Domingo ]
  * [e0d4447] gnuplot-{nox,x11,qt}.info: Remove. 
              gnuplot.info is installed only in gnuplot-doc.
  * [b8957fa] gnuplot-x11.{postinst,prerm}. Remove redundant verbosity 
              when removing diversions.
  * [f400978] Fine tune installation of some docs.
  * [3eb80f0] Install TeX files for lua terminal.
  * [738917f] gnuplot.preinst: Remove /usr/share/doc/gnuplot only if is 
              an obsolete symlink. (Closes: #671459)

 -- Anton Gladky <gladky.anton@gmail.com>  Sat, 05 May 2012 21:29:13 +0200

gnuplot (4.6.0-6) unstable; urgency=low
  [ Anton Gladky ]
  * [3deb1bf] Decrease the priority of qt-terminal to be set as "default". 
              (Closes: #668955)
  * [71fd7e3] Add gnuplot-qt binary. (Closes: #670229)
  * [1ef10f2] Fix typo in qt-terminal debug output. (Closes: #670173)
  * [d572c4e] Replace ttf-liberation by fonts-liberation. 
              Thanks to Fabian Greffrath. (Closes: #670423)
  * [3a12b41] Remove *.postrm and *.preinst files.

  [ Agustin Martin Domingo ]
  * [2c1a288] Change Replaces by Conflicts between different gnuplot-* flavors.
  * [c9e3fac] gnuplot-x11.{prerm,postinst}: try to remove old diversions.
  * [2745ff0] make gnuplot-{nox,x11,qt} depend on at least gnuplot 4.6.0-6.
  * [f1a4f5a] gnuplot-qt, gnuplot-x11, gnuplot-nox: Make them standalone 
              packages.

 -- Anton Gladky <gladky.anton@gmail.com>  Thu, 26 Apr 2012 19:29:08 +0200

gnuplot (4.6.0-5) unstable; urgency=low

  * [347c6e4] Fix FTBFS on arch-builds.

 -- Anton Gladky <gladky.anton@gmail.com>  Wed, 11 Apr 2012 19:23:14 +0200

gnuplot (4.6.0-4) unstable; urgency=low

  * [bf2b985] Bumped debhelper version >= 8.9.10. Thanks to Agustin Martin. 
              (Closes: #667004)
  * [0598904] Enable qt-terminal. (Closes: #667760)
  * [031fca2] Consider gz-ipped data-files in examples-directory. 
              (Closes: #283966)

 -- Anton Gladky <gladky.anton@gmail.com>  Tue, 10 Apr 2012 21:25:17 +0200

gnuplot (4.6.0-3) unstable; urgency=low

  * [d4661a3] Fix FTBFS during arch-only build. Cleans in debian/rules.

 -- Anton Gladky <gladky.anton@gmail.com>  Sat, 31 Mar 2012 08:59:26 +0200

gnuplot (4.6.0-2) unstable; urgency=low

  * [033f52f] Bumped Standards-Version: 3.9.3. No changes.
  * [ec5a5cc] Enable CPPFLAGS/CXXFLAGS flags hardening. 
              Thanks to Simon Ruderich. (Closes: #665311)
  * [803ad73] Compile demo-folder to get some binary-data. (Closes: #665349)
  * [4abcc8c] Simplify debian/rules. Use dh rules.
  * [2a96f2e] Do not use symbolic links between binaries.
  * [e5b0eb2] Use compat 8.
  * [1bec2ae] Remove dublicating code from debian/rules.
  * [817a4ec] Fix "Segmentation fault" after entering any command. 
              (Closes: #665832)
  * [c51581b] Enable auto-tests.

 -- Anton Gladky <gladky.anton@gmail.com>  Sat, 31 Mar 2012 00:37:36 +0200

gnuplot (4.6.0-1) unstable; urgency=low

  * [ab4b922] Imported Upstream version 4.6.0
  * [85c06b3] Refresh current patches.
  * [a1beb9c] Add texlive-latex-extra to BD. Needed for tutorial-build.
  * [8fc95b4] Move under debian-science roof. (Closes: #596969)
  * [2f23686] Change libpng12-dev BD on libpng-dev. (Closes: #662356)
  * [a4741ac] Use dpkg-buildflags for flags.
  * [17e3fff] Fix FTBFS "format not a string literal and no format arg".

  [ Agustin Martin ]
  * [663e404] Add liblua5.1-dev dependency and set include path to 
              enable lua. (Closes: #503269)
  * [0dc855f] Pass --as-needed to linker. Avoids linking unneeded libs.
              
 -- Anton Gladky <gladky.anton@gmail.com>  Mon, 19 Mar 2012 21:54:02 +0100
