=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: math
 Priority: optional
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Bradley Smith <bradsmith@debian.org>, Anton Gladky <gladky.anton@gmail.com>
+Uploaders: Anton Gladky <gladky.anton@gmail.com>
 Standards-Version: 3.9.3
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 8.9.10), libpng-dev, libx11-dev, libxt-dev, 
+Build-Depends: debhelper (>= 9), libpng-dev, libx11-dev, libxt-dev, 
  pkg-config, texinfo, texlive-latex-base, texlive-latex-recommended, 
  texlive-latex-extra, liblua5.1-dev,
  zlib1g-dev, libgd2-noxpm-dev, libwxgtk2.8-dev, libcairo2-dev,
