=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 %:
 	dh $@ --parallel
 
+export DEB_BUILD_MAINT_OPTIONS := hardening=+all
 export DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
